Bug 1200380 - [abrt] plasma-systemsettings: KScreen::ConfigOperation::hasError() const(): systemsettings5 killed by SIGSEGV
Summary: [abrt] plasma-systemsettings: KScreen::ConfigOperation::hasError() const(): s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:edad9f04d01c23548eeb96d081d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 12:48 UTC by Sylvain Réault
Modified: 2015-06-09 15:11 UTC (History)
6 users (show)

Fixed In Version: kwrited-5.3.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 15:11:04 UTC


Attachments (Terms of Use)
File: backtrace (38.23 KB, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: cgroup (284 bytes, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: core_backtrace (30.22 KB, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: dso_list (23.50 KB, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: environ (3.44 KB, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: maps (108.87 KB, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: open_fds (689 bytes, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: proc_pid_status (968 bytes, text/plain)
2015-03-10 12:48 UTC, Sylvain Réault
no flags Details
File: var_log_messages (1.30 KB, text/plain)
2015-03-10 12:49 UTC, Sylvain Réault
no flags Details

Description Sylvain Réault 2015-03-10 12:48:43 UTC
Version-Release number of selected component:
plasma-systemsettings-5.2.1-2.fc22

Additional info:
reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        systemsettings5
crash_function: KScreen::ConfigOperation::hasError() const
executable:     /usr/bin/systemsettings5
kernel:         4.0.0-0.rc2.git0.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 KScreen::ConfigOperation::hasError() const at /lib64/libKF5Screen.so.6
 #1 KScreen::ConfigOperation::exec() at /lib64/libKF5Screen.so.6
 #2 KCMKScreen::save() at /usr/lib64/qt5/plugins/kcm_kscreen.so
 #3 KCModuleProxy::save() at /lib64/libKF5KCMUtils.so.5
 #4 ModuleView::moduleSave(KCModuleProxy*) at /lib64/libsystemsettingsview.so.3
 #5 ModuleView::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) at /lib64/libsystemsettingsview.so.3
 #6 QMetaObject::activate(QObject*, int, int, void**) at /lib64/libQt5Core.so.5
 #7 QAbstractButton::clicked(bool) at /lib64/libQt5Widgets.so.5
 #8 QAbstractButtonPrivate::emitClicked() at /lib64/libQt5Widgets.so.5
 #9 QAbstractButtonPrivate::click() at /lib64/libQt5Widgets.so.5

Comment 1 Sylvain Réault 2015-03-10 12:48:47 UTC
Created attachment 999896 [details]
File: backtrace

Comment 2 Sylvain Réault 2015-03-10 12:48:48 UTC
Created attachment 999897 [details]
File: cgroup

Comment 3 Sylvain Réault 2015-03-10 12:48:50 UTC
Created attachment 999898 [details]
File: core_backtrace

Comment 4 Sylvain Réault 2015-03-10 12:48:51 UTC
Created attachment 999899 [details]
File: dso_list

Comment 5 Sylvain Réault 2015-03-10 12:48:52 UTC
Created attachment 999900 [details]
File: environ

Comment 6 Sylvain Réault 2015-03-10 12:48:53 UTC
Created attachment 999901 [details]
File: limits

Comment 7 Sylvain Réault 2015-03-10 12:48:57 UTC
Created attachment 999902 [details]
File: maps

Comment 8 Sylvain Réault 2015-03-10 12:48:58 UTC
Created attachment 999903 [details]
File: open_fds

Comment 9 Sylvain Réault 2015-03-10 12:48:59 UTC
Created attachment 999904 [details]
File: proc_pid_status

Comment 10 Sylvain Réault 2015-03-10 12:49:00 UTC
Created attachment 999905 [details]
File: var_log_messages

Comment 11 Fedora Update System 2015-06-01 09:41:34 UTC
khelpcenter-5.3.1-2.fc22, kmenuedit-5.3.1-1.fc22, kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, kwin-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, plasma-workspace-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, plasma-desktop-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, kde-cli-tools-5.3.1-1.fc22, muon-5.3.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-9118/kmenuedit-5.3.1-1.fc22,kwrited-5.3.1-1.fc22,oxygen-fonts-5.3.1-1.fc22,plasma-sdk-5.3.1-1.fc22,kf5-kwayland-5.3.1-1.fc22,plasma-milou-5.3.1-1.fc22,ksysguard-5.3.1-1.fc22,kf5-kfilemetadata-5.9.1-1.fc22,plasma-oxygen-5.3.1-1.fc22,kscreen-5.3.1-1.fc22,kde-gtk-config-5.3.1-1.fc22,bluedevil-5.3.1-1.fc22,khelpcenter-5.3.1-2.fc22,kio-extras-5.3.1-1.fc22,plasma-systemsettings-5.3.1-1.fc22,kdecoration-5.3.1-1.fc22,kwin-5.3.1-1.fc22,plasma-workspace-wallpapers-5.3.1-1.fc22,khotkeys-5.3.1-1.fc22,plasma-nm-5.3.1-1.fc22,sddm-kcm-5.3.1-1.fc22,plasma-workspace-5.3.1-1.fc22,libksysguard-5.3.1-1.fc22,kf5-baloo-5.9.1-1.fc22,kinfocenter-5.3.1-1.fc22,polkit-kde-5.3.1-1.fc22,kf5-bluez-qt-5.3.1-1.fc22,powerdevil-5.3.1-1.fc22,plasma-desktop-5.3.1-1.fc22,ksshaskpass-5.3.1-1.fc22,libkscreen-qt5-5.3.1-1.fc22,plasma-breeze-5.3.1-1.fc22,kdeplasma-addons-5.3.1-1.fc22,kde-cli-tools-5.3.1-1.fc22,muon-5.3.1-1.fc22

Comment 12 Fedora Update System 2015-06-01 17:07:39 UTC
Package khelpcenter-5.3.1-2.fc22, kmenuedit-5.3.1-1.fc22, kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, kwin-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, plasma-workspace-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, plasma-desktop-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, kde-cli-tools-5.3.1-1.fc22, muon-5.3.1-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing khelpcenter-5.3.1-2.fc22 kmenuedit-5.3.1-1.fc22 kwrited-5.3.1-1.fc22 oxygen-fonts-5.3.1-1.fc22 plasma-sdk-5.3.1-1.fc22 kf5-kwayland-5.3.1-1.fc22 plasma-milou-5.3.1-1.fc22 ksysguard-5.3.1-1.fc22 kf5-kfilemetadata-5.9.1-1.fc22 plasma-oxygen-5.3.1-1.fc22 kscreen-5.3.1-1.fc22 kde-gtk-config-5.3.1-1.fc22 bluedevil-5.3.1-1.fc22 kio-extras-5.3.1-1.fc22 plasma-systemsettings-5.3.1-1.fc22 kdecoration-5.3.1-1.fc22 kwin-5.3.1-1.fc22 plasma-workspace-wallpapers-5.3.1-1.fc22 khotkeys-5.3.1-1.fc22 plasma-nm-5.3.1-1.fc22 sddm-kcm-5.3.1-1.fc22 plasma-workspace-5.3.1-1.fc22 libksysguard-5.3.1-1.fc22 kf5-baloo-5.9.1-1.fc22 kinfocenter-5.3.1-1.fc22 polkit-kde-5.3.1-1.fc22 kf5-bluez-qt-5.3.1-1.fc22 powerdevil-5.3.1-1.fc22 plasma-desktop-5.3.1-1.fc22 ksshaskpass-5.3.1-1.fc22 libkscreen-qt5-5.3.1-1.fc22 plasma-breeze-5.3.1-1.fc22 kdeplasma-addons-5.3.1-1.fc22 kde-cli-tools-5.3.1-1.fc22 muon-5.3.1-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9118/kmenuedit-5.3.1-1.fc22,kwrited-5.3.1-1.fc22,oxygen-fonts-5.3.1-1.fc22,plasma-sdk-5.3.1-1.fc22,kf5-kwayland-5.3.1-1.fc22,plasma-milou-5.3.1-1.fc22,ksysguard-5.3.1-1.fc22,kf5-kfilemetadata-5.9.1-1.fc22,plasma-oxygen-5.3.1-1.fc22,kscreen-5.3.1-1.fc22,kde-gtk-config-5.3.1-1.fc22,bluedevil-5.3.1-1.fc22,khelpcenter-5.3.1-2.fc22,kio-extras-5.3.1-1.fc22,plasma-systemsettings-5.3.1-1.fc22,kdecoration-5.3.1-1.fc22,kwin-5.3.1-1.fc22,plasma-workspace-wallpapers-5.3.1-1.fc22,khotkeys-5.3.1-1.fc22,plasma-nm-5.3.1-1.fc22,sddm-kcm-5.3.1-1.fc22,plasma-workspace-5.3.1-1.fc22,libksysguard-5.3.1-1.fc22,kf5-baloo-5.9.1-1.fc22,kinfocenter-5.3.1-1.fc22,polkit-kde-5.3.1-1.fc22,kf5-bluez-qt-5.3.1-1.fc22,powerdevil-5.3.1-1.fc22,plasma-desktop-5.3.1-1.fc22,ksshaskpass-5.3.1-1.fc22,libkscreen-qt5-5.3.1-1.fc22,plasma-breeze-5.3.1-1.fc22,kdeplasma-addons-5.3.1-1.fc22,kde-cli-tools-5.3.1-1.fc22,muon-5.3.1-1.fc22
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2015-06-05 23:57:32 UTC
Package kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, muon-5.3.1-1.fc22, kmenuedit-5.3.1-2.fc22, khelpcenter-5.3.1-3.fc22, kwin-5.3.1-2.fc22, plasma-workspace-5.3.1-2.fc22, kde-cli-tools-5.3.1-2.fc22, plasma-desktop-5.3.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kwrited-5.3.1-1.fc22 oxygen-fonts-5.3.1-1.fc22 plasma-sdk-5.3.1-1.fc22 kf5-kwayland-5.3.1-1.fc22 plasma-milou-5.3.1-1.fc22 ksysguard-5.3.1-1.fc22 kf5-kfilemetadata-5.9.1-1.fc22 plasma-oxygen-5.3.1-1.fc22 kscreen-5.3.1-1.fc22 kde-gtk-config-5.3.1-1.fc22 bluedevil-5.3.1-1.fc22 kio-extras-5.3.1-1.fc22 plasma-systemsettings-5.3.1-1.fc22 kdecoration-5.3.1-1.fc22 plasma-workspace-wallpapers-5.3.1-1.fc22 khotkeys-5.3.1-1.fc22 plasma-nm-5.3.1-1.fc22 sddm-kcm-5.3.1-1.fc22 libksysguard-5.3.1-1.fc22 kf5-baloo-5.9.1-1.fc22 kinfocenter-5.3.1-1.fc22 polkit-kde-5.3.1-1.fc22 kf5-bluez-qt-5.3.1-1.fc22 powerdevil-5.3.1-1.fc22 ksshaskpass-5.3.1-1.fc22 libkscreen-qt5-5.3.1-1.fc22 plasma-breeze-5.3.1-1.fc22 kdeplasma-addons-5.3.1-1.fc22 muon-5.3.1-1.fc22 kmenuedit-5.3.1-2.fc22 khelpcenter-5.3.1-3.fc22 kwin-5.3.1-2.fc22 plasma-workspace-5.3.1-2.fc22 kde-cli-tools-5.3.1-2.fc22 plasma-desktop-5.3.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9118/kmenuedit-5.3.1-2.fc22,kwrited-5.3.1-1.fc22,oxygen-fonts-5.3.1-1.fc22,plasma-sdk-5.3.1-1.fc22,kf5-kwayland-5.3.1-1.fc22,plasma-milou-5.3.1-1.fc22,ksysguard-5.3.1-1.fc22,kf5-kfilemetadata-5.9.1-1.fc22,plasma-oxygen-5.3.1-1.fc22,kscreen-5.3.1-1.fc22,kde-gtk-config-5.3.1-1.fc22,bluedevil-5.3.1-1.fc22,khelpcenter-5.3.1-3.fc22,kio-extras-5.3.1-1.fc22,plasma-systemsettings-5.3.1-1.fc22,kdecoration-5.3.1-1.fc22,kwin-5.3.1-2.fc22,plasma-workspace-wallpapers-5.3.1-1.fc22,khotkeys-5.3.1-1.fc22,plasma-nm-5.3.1-1.fc22,sddm-kcm-5.3.1-1.fc22,plasma-workspace-5.3.1-2.fc22,libksysguard-5.3.1-1.fc22,kf5-baloo-5.9.1-1.fc22,kinfocenter-5.3.1-1.fc22,polkit-kde-5.3.1-1.fc22,kf5-bluez-qt-5.3.1-1.fc22,powerdevil-5.3.1-1.fc22,plasma-desktop-5.3.1-2.fc22,ksshaskpass-5.3.1-1.fc22,libkscreen-qt5-5.3.1-1.fc22,plasma-breeze-5.3.1-1.fc22,kdeplasma-addons-5.3.1-1.fc22,kde-cli-tools-5.3.1-2.fc22,muon-5.3.1-1.fc22
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-06-09 15:11:04 UTC
kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, muon-5.3.1-1.fc22, kmenuedit-5.3.1-2.fc22, khelpcenter-5.3.1-3.fc22, kwin-5.3.1-2.fc22, plasma-workspace-5.3.1-2.fc22, kde-cli-tools-5.3.1-2.fc22, plasma-desktop-5.3.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.